@import url('general.css');

.main-wishlist-box {
    background-color: #F4F4F4;
    border-radius: 14px;
    padding: 20px;
}

.wishlist-table-header,
.body-wishlist-box {
    background-color: #fff;
    border-radius: 10px;
    padding: 15px 20px;
}

.wishlist-table-header ul li {
    font-size: 16px;
    color: #4C4C4C;
    list-style: none;
}

.wishlist-table-header ul li:first-child {
    width: 40%;
}

.wishlist-table-header ul li:nth-child(2),
.wishlist-table-header ul li:nth-child(3),
.wishlist-table-header ul li:nth-child(4),
.wishlist-table-header ul li:nth-child(5) {
    width: 15%;
}

.wishlist-table-header ul li:last-child {
    text-align: end;
}

.wishlist-product-box {
    width: 40%;
}

.wishlist-product-img {
    width: 60px;
    height: 60px;
    background-color: #F4F4F4;
    padding: 5px;
    border-radius: 10px;
}

.wishlist-product-img img {
    width: 100%;
    object-fit: contain;
}

.wishlist-product-info {
    width: 65%;
}

.wishlist-product-info h3 {
    font-size: 16px;
    font-weight: 500;
    color: #333333;
}

.wishlist-product-color,
.wishlist-product-price,
.wishlist-view-product,
.wishlist-remove-btn {
    width: 15%;
}

.wishlist-product-color {
    font-size: 16px;
    color: #4C4C4C;
}

.wishlist-product-color span {
    width: 16px;
    height: 16px;
    background-color: #3E3F43;
    display: block;
    border-radius: 50%;
}

.wishlist-product-price {
    font-size: 18px;
    color: #000;
    font-weight: 700;
}

.wishlist-view-product button {
    width: 134px;
    height: 36px;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%);
    border-radius: 50px;
    font-size: 14px;
    color: #FF2424;
    border: none;
}

.wishlist-remove-btn button {
    border: none;
    background-color: transparent;
    padding: 0px;
}

.wishlist-continue-btn {
    width: 560px;
    height: 50px;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%);
    border-radius: 50px;
    border: none;
    font-size: 16px;
    color: #FF2424;
    font-weight: 500;
    margin: auto;
}

.mobile-product-color{
    display: none;
}

@media (max-width: 480px) {
    .wishlist-continue-btn {
        width: auto;
        padding: 0px 80px;
    }

    .wishlist-table-header ul li:nth-child(2) {
        display: none;
    }

    .wishlist-table-header ul li:last-child span,
    .wishlist-product-color,
    .wishlist-view-product button span {
        display: none !important;
    }

    .wishlist-view-product button {
        width: auto;
        height: auto;
        background: transparent !important;
    }

    .wishlist-product-box,
    .wishlist-table-header ul li:first-child {
        width: 55%;
    }

    .wishlist-table-header ul li:last-child{
        width: 10%;
    }

    .wishlist-table-header ul li:nth-child(3){
        width: 17%;
    }

    .wishlist-table-header ul li:nth-child(4){
        width: 18%;
    }

    .wishlist-product-info h3 {
        font-size: 14px;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 1;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .mobile-product-color{
        display: flex;
        align-items: center;
        gap: 5px;
        font-size: 12px;
        color: #4C4C4C;
    }

    .mobile-product-color span{
        display: block;
        width: 14px;
        height: 14px;
        background-color: #3E3F43;
        border-radius: 50%;
    }
}